<html>
<head>
<title>Ogre::GLESContext Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GLESContext.html">GLESContext</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::GLESContext Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::GLESContext" -->
<p>Class that encapsulates an GL context.  
 <a href="classOgre_1_1GLESContext.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreGLESContext_8h_source.html">OgreGLESContext.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::GLESContext:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1GLESContext__inherit__graph.gif" border="0" usemap="#Ogre_1_1GLESContext_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1GLESContext_inherit__map" id="Ogre_1_1GLESContext_inherit__map">
<area shape="rect" id="node3" href="classOgre_1_1EAGLESContext.html" title="Ogre::EAGLESContext" alt="" coords="47,83,204,112"/><area shape="rect" id="node5" href="classOgre_1_1EGLContext.html" title="Ogre::EGLContext" alt="" coords="228,83,359,112"/><area shape="rect" id="node7" href="classOgre_1_1SymbianEGLContext.html" title="Ogre::SymbianEGLContext" alt="" coords="5,160,187,189"/><area shape="rect" id="node9" href="classOgre_1_1Win32EGLContext.html" title="Ogre::Win32EGLContext" alt="" coords="211,160,376,189"/><area shape="rect" id="node12" href="classOgre_1_1X11EGLContext.html" title="Ogre::X11EGLContext" alt="" coords="400,160,552,189"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1GLESContext-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESContext.html#ace7e45c64acf83bd41ccabaea7cf57c9">GLESContext</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESContext.html#a75c43a24b858cf0bae0431b3229e8104">~GLESContext</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESContext.html#a197993282e5a13435295cce8b8b0c576">setCurrent</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable the context.  <a href="#a197993282e5a13435295cce8b8b0c576"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESContext.html#aba7e869267f8bfcb0fab3dae63390e28">endCurrent</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This is called before another context is made current.  <a href="#aba7e869267f8bfcb0fab3dae63390e28"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESContext.html#ae8431fc5c8949de06d1823b58a1ae041">getInitialized</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESContext.html#a07f77163b45fc7d0e97c37092d0a4d2d">setInitialized</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1GLESContext.html">GLESContext</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESContext.html#affc87bcffa8d9986d287773e43eaeb0c">clone</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.  <a href="#affc87bcffa8d9986d287773e43eaeb0c"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLESContext.html#ae93da1efe54c832bd69ef71fb73f3c13">initialized</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Class that encapsulates an GL context. </p>
<p>(IE a window/pbuffer). This is a virtual base class which should be implemented in a <a class="el" href="classOgre_1_1GLSupport.html">GLSupport</a>. This object can also be used to cache renderstate if we decide to do so in the future. </p>

<p>Definition at line <a class="el" href="OgreGLESContext_8h_source.html#l00042">42</a> of file <a class="el" href="OgreGLESContext_8h_source.html">OgreGLESContext.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ace7e45c64acf83bd41ccabaea7cf57c9"></a><!-- doxytag: member="Ogre::GLESContext::GLESContext" ref="ace7e45c64acf83bd41ccabaea7cf57c9" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLESContext.html#ace7e45c64acf83bd41ccabaea7cf57c9">Ogre::GLESContext::GLESContext</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a75c43a24b858cf0bae0431b3229e8104"></a><!-- doxytag: member="Ogre::GLESContext::~GLESContext" ref="a75c43a24b858cf0bae0431b3229e8104" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1GLESContext.html#a75c43a24b858cf0bae0431b3229e8104">Ogre::GLESContext::~GLESContext</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="affc87bcffa8d9986d287773e43eaeb0c"></a><!-- doxytag: member="Ogre::GLESContext::clone" ref="affc87bcffa8d9986d287773e43eaeb0c" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1GLESContext.html">GLESContext</a>* <a class="el" href="classOgre_1_1GLESContext.html#affc87bcffa8d9986d287773e43eaeb0c">Ogre::GLESContext::clone</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>The caller is responsible for deleting the returned context. </dd></dl>

<p>Implemented in <a class="el" href="classOgre_1_1EAGLESContext.html#a2330fd2461088c868d969fcce7499218">Ogre::EAGLESContext</a>, <a class="el" href="classOgre_1_1EGLContext.html#aea703d92687ace625f869dbaacb4076e">Ogre::EGLContext</a>, <a class="el" href="classOgre_1_1EGLContext.html#a77b5a6d32de0f68ab716b5fd7ca341c6">Ogre::EGLContext</a>, <a class="el" href="classOgre_1_1X11EGLContext.html#a1211357b94f6925a7c0c02ae4aeab22a">Ogre::X11EGLContext</a>, <a class="el" href="classOgre_1_1Win32EGLContext.html#afce90a896db9fa209435cabebdedc998">Ogre::Win32EGLContext</a>, <a class="el" href="classOgre_1_1X11EGLContext.html#a78d96621c205c3699a3f15c93d0a4f38">Ogre::X11EGLContext</a>, <a class="el" href="classOgre_1_1SymbianEGLContext.html#aee53923de1b24a0d79bb2cd8ee87e568">Ogre::SymbianEGLContext</a>, and <a class="el" href="classOgre_1_1Win32EGLContext.html#a1e190fc1508f78b4694065b56531e368">Ogre::Win32EGLContext</a>.</p>

</div>
</div>
<a class="anchor" id="aba7e869267f8bfcb0fab3dae63390e28"></a><!-- doxytag: member="Ogre::GLESContext::endCurrent" ref="aba7e869267f8bfcb0fab3dae63390e28" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1GLESContext.html#aba7e869267f8bfcb0fab3dae63390e28">Ogre::GLESContext::endCurrent</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This is called before another context is made current. </p>
<p>By default, nothing is done here. </p>

<p>Implemented in <a class="el" href="classOgre_1_1EAGLESContext.html#a339a92a0373a396201076e25844d1cf2">Ogre::EAGLESContext</a>, <a class="el" href="classOgre_1_1EGLContext.html#a08612fd3eea707121938bb0197e454c6">Ogre::EGLContext</a>, and <a class="el" href="classOgre_1_1EGLContext.html#a08612fd3eea707121938bb0197e454c6">Ogre::EGLContext</a>.</p>

</div>
</div>
<a class="anchor" id="ae8431fc5c8949de06d1823b58a1ae041"></a><!-- doxytag: member="Ogre::GLESContext::getInitialized" ref="ae8431fc5c8949de06d1823b58a1ae041" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1GLESContext.html#ae8431fc5c8949de06d1823b58a1ae041">Ogre::GLESContext::getInitialized</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLESContext_8h_source.html#l00059">59</a> of file <a class="el" href="OgreGLESContext_8h_source.html">OgreGLESContext.h</a>.</p>

</div>
</div>
<a class="anchor" id="a197993282e5a13435295cce8b8b0c576"></a><!-- doxytag: member="Ogre::GLESContext::setCurrent" ref="a197993282e5a13435295cce8b8b0c576" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1GLESContext.html#a197993282e5a13435295cce8b8b0c576">Ogre::GLESContext::setCurrent</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Enable the context. </p>
<p>All subsequent rendering commands will go here. </p>

<p>Implemented in <a class="el" href="classOgre_1_1EAGLESContext.html#a29899e9c143f15a11819ad741dfc0c12">Ogre::EAGLESContext</a>, <a class="el" href="classOgre_1_1EGLContext.html#aa817ff5a5ae3fbb16d8ad182016b212d">Ogre::EGLContext</a>, and <a class="el" href="classOgre_1_1EGLContext.html#aa817ff5a5ae3fbb16d8ad182016b212d">Ogre::EGLContext</a>.</p>

</div>
</div>
<a class="anchor" id="a07f77163b45fc7d0e97c37092d0a4d2d"></a><!-- doxytag: member="Ogre::GLESContext::setInitialized" ref="a07f77163b45fc7d0e97c37092d0a4d2d" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLESContext.html#a07f77163b45fc7d0e97c37092d0a4d2d">Ogre::GLESContext::setInitialized</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLESContext_8h_source.html#l00060">60</a> of file <a class="el" href="OgreGLESContext_8h_source.html">OgreGLESContext.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ae93da1efe54c832bd69ef71fb73f3c13"></a><!-- doxytag: member="Ogre::GLESContext::initialized" ref="ae93da1efe54c832bd69ef71fb73f3c13" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1GLESContext.html#ae93da1efe54c832bd69ef71fb73f3c13">Ogre::GLESContext::initialized</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLESContext_8h_source.html#l00069">69</a> of file <a class="el" href="OgreGLESContext_8h_source.html">OgreGLESContext.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreGLESContext_8h_source.html">OgreGLESContext.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:23
</p>
</body>
</html>
